<div class="row wrapper border-bottom white-bg page-heading">
    <div class="col-lg-12">
        <h2>管理员管理</h2>
        <ol class="breadcrumb">
            <li>
                <a href="/admin/dashboard">管理首页</a>
            </li>
            <li class="active">
                <strong>管理员管理</strong>
            </li>
        </ol>
    </div>
</div>

<div class="wrapper wrapper-content animated fadeInRight">
    <div class="row">
        <div class="col-lg-12">
            <div class="ibox float-e-margins">
                <div class="ibox-title">
                    <div class="btn-group">
                        <button id="add" class="btn btn-default">添加</button>
                        <button id="edit" class="btn btn-default">编辑</button>

                        <button id="permission" class="btn btn-primary">权限配置</button>

                    </div>
                    <div class="btn-group pull-right">
                        <button id="delete" class="btn btn-primary"><i class="fa fa-trash"></i></button>
                    </div>
                    <div class="clearfix"></div>
                </div>

                <div class="ibox-content">

                    <div class="table-responsive">
                        <table id="datatables" class="table table-striped table-bordered table-hover">
                            <thead>
                            <tr>
                                <th>ID</th>
                                <th>用户名</th>
                                <th>姓名</th>
                                <th>手机</th>
                                <th>最后登录IP</th>
                            </tr>
                            </thead>
                            <tfoot>
                            <tr>
                                <th>ID</th>
                                <th>用户名</th>
                                <th>姓名</th>
                                <th>手机</th>
                                <th>最后登录IP</th>
                            </tr>
                            </tfoot>
                        </table>
                    </div>

                </div>
            </div>
        </div>
    </div>
</div>

<?php $this->beginBlock('footer_script'); ?>
<script>
KindEditor.ready(function(K) {});
</script>

<!-- Page-Level Scripts -->
<script>
var table;
$(document).ready(function() {
    table = $('#datatables').DataTable({
        "aLengthMenu": [[20,50,100,500,999999999], [20,50,100,500,"ALL"]],
        language: {
            "sProcessing": "处理中...",
            "sLengthMenu": "显示 _MENU_ 项结果",
            "sZeroRecords": "没有匹配结果",
            "sInfo": "显示第 _START_ 至 _END_ 项结果，共 _TOTAL_ 项",
            "sInfoEmpty": "显示第 0 至 0 项结果，共 0 项",
            "sInfoFiltered": "(由 _MAX_ 项结果过滤)",
            "sInfoPostFix": "",
            "sSearch": "搜索:",
            "sUrl": "",
            "sEmptyTable": "表中数据为空",
            "sLoadingRecords": "载入中...",
            "sInfoThousands": ",",
            "oPaginate": {
                "sFirst": "首页",
                "sPrevious": "上页",
                "sNext": "下页",
                "sLast": "末页"
            },
            "oAria": {
                "sSortAscending": ": 以升序排列此列",
                "sSortDescending": ": 以降序排列此列"
            }
        },
        "processing": true,
        "serverSide": true,
        "ajax": '/admin/admin/ajax',
        "order": [[0, "desc"]],
        "columns": [{
            "data": "id"
        },
            {
                "data": "username"
            },
            {
                "data": "name"
            },
            {
                "data": "mobile",
                "orderable": false
            },
            {
                "data": "last_login_ip"
            }],

        "sPaginationType": "full_numbers",
        dom: '<"html5buttons"B>lTfgitp',
        buttons: [
            {
                extend: 'copy'
            },
            {
                extend: 'csv'
            },
            {
                exportOptions: {
                    format: {
                        body: function (data, row, column, node) {
                            return data + ' '; // 防止数据被格式化，如ip192.168.1.61会被截断成192.168
                        }
                    }
                },
                extend: 'excel'
            },
            {
                extend: 'pdf'
            },
            {
                extend: 'print',
                customize: function(win) {
                    $(win.document.body).addClass('white-bg');
                    $(win.document.body).css('font-size', '10px');
                    $(win.document.body).find('table').addClass('compact').css('font-size', 'inherit');
                }
            }
        ]

    });

    $('#datatables tbody').on('click', 'tr',
        function() {
            if ($(this).hasClass('selected')) {
                $(this).removeClass('selected');
            } else {
                table.$('tr.selected').removeClass('selected');
                $(this).addClass('selected');
            }
        });

    $('#add').click(function() {
        $("#modal").removeData();
        var url="/admin/admin/add?t="+new Date().getTime();
        $("#modal").modal({
            remote:url,
            show:true
        });
    });



    $('#edit').click(function() {
        $("#modal").removeData();
        var data=table.row('.selected').data();
        if(data!=undefined){
            var url="/admin/admin/edit?id="+data.id+"&t="+new Date().getTime();
            $("#modal").modal({
                remote:url,
                show:true
            });
        }
    });

    $('#permission').click(function() {
        $("#modal").removeData();
        var data=table.row('.selected').data();
        if(data!=undefined){
            var url="/admin/admin/permission?id="+data.id+"&t="+new Date().getTime();
            $("#modal").modal({
                remote:url,
                show:true
            });
        }
    });

    $('#delete').click(function() {
        var data=table.row('.selected').data();
        if(data!=undefined){
            $.ajax({
                type: "POST",
                url: "/admin/admin/delete",
                data: {
                    id:data.id
                },
                dataType: "json",
                beforeSend: function() {},
                success: function(data) {
                    if(data.code == 1){
                        table.ajax.reload();
                    }else{
                        toastr.error(data.message, "提示");
                    }
                },
                complete: function(XMLHttpRequest, textStatus) {},
                error: function() {}
            });
        }
    });

    $("#modal").on("hidden.bs.modal", function() {
        $(this).removeData("bs.modal");
        KindEditor.remove('#kindeditor');
    });

});
</script>
<?php $this->endBlock(); ?>